import { Get, JsonController } from 'routing-controllers';
import { OpenAPI } from 'routing-controllers-openapi';
import { getConnection } from 'typeorm';

@JsonController('/status')
export class StatusController {

    @Get()
    @OpenAPI({ description: "A very basic status/health endpoint that just checks if the database connection is available. <br> The available information depth will be expanded later." })
    get() {
        let connection;
        try {
            connection = getConnection();
        } catch {
            throw new Error("sth is wrong, i can feel it....");
        }
        return {
            "controllers": "✔",
            "database connection": "✔"
        };
    }
}